<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>MatFDColoringGetFrequency</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="MatFDColoringGetFrequency"><H1>MatFDColoringGetFrequency</H1></A>
Gets the frequency for computing new Jacobian matrices.  
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petscmat.h" 
PetscErrorCode PETSCMAT_DLLEXPORT MatFDColoringGetFrequency(MatFDColoring matfd,PetscInt *freq)
</PRE>
Not Collective
<P>
<H3><FONT COLOR="#CC3333">Input Parameters</FONT></H3>
<DT><B>coloring </B> -the coloring context
<br>
<P>
<H3><FONT COLOR="#CC3333">Output Parameters</FONT></H3>
<DT><B>freq </B> -frequency (default is 1)
<br>
<P>
<H3><FONT COLOR="#CC3333">Options Database Keys</FONT></H3>
<DT><B>-mat_fd_coloring_freq &lt;freq&gt; </B> -Sets coloring frequency
<br>
<P>

<P>
<H3><FONT COLOR="#CC3333">Notes</FONT></H3>
Using a modified Newton strategy, where the Jacobian remains fixed for several
iterations, can be cost effective in terms of overall nonlinear solution
efficiency.  This parameter indicates that a new Jacobian will be computed every
&lt;freq&gt; nonlinear iterations.
<P>
<H3><FONT COLOR="#CC3333">Keywords</FONT></H3>
 <A HREF="../Mat/Mat.html#Mat">Mat</A>, finite differences, coloring, get, frequency
<BR>
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../MatFD/MatFDColoringSetFrequency.html#MatFDColoringSetFrequency">MatFDColoringSetFrequency</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>advanced
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/mat/matfd/fdmatrix.c.html#MatFDColoringGetFrequency">src/mat/matfd/fdmatrix.c</A>
<BR><A HREF="./index.html">Index of all MatFD routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
<P><H3><FONT COLOR="#CC3333">Examples</FONT></H3>
<A HREF="../../../src/snes/examples/tutorials/ex5.c.html">src/snes/examples/tutorials/ex5.c.html</A><BR>
</BODY></HTML>
